#pragma once
#define MSG_ID_SIZE 8

#define SEND_SAME_STEP 1
#define SEND_INCR_STEP 0

#define DEBUG_FREQ 0
#define DEBUG_SENT_PULL 0
#define DEBUG_INJECT_TIME 0
#define DEBUG_MISSED_MESSAGES 0

#define LOG_USEFUL_USELESS 1
#define LOG_FREQ 1
#define LOG_USELESSNESS 1
#define MISSING_LOG 1
#define LOG_EXCHANGE_OVER_TIME 1
#define LOG_DELAY_BY_MSG 1
#define LOG_ATOMIC 1
#define LOG_REDUNDANCY 1
